From cdeac45356a0020c6468d7ff38e966ccbd6eb636 Mon Sep 17 00:00:00 2001
From: Saagar Jha <saagar@saagarjha.com>
Date: Thu, 13 Aug 2020 22:09:52 -0700
Subject: [PATCH] Include string.h in elf-bfd.h

Some of the configure tests include just this header, and since it uses
functions from string they fail to compile and configure thinks that
binutils is missing ELF support.

bfd/ChangeLog:

	* bfd/elf-bfd.h: Include <string.h>.
---
 bfd/ChangeLog | 4 ++++
 bfd/elf-bfd.h | 1 +
 2 files changed, 5 insertions(+)

diff --git a/bfd/ChangeLog b/bfd/ChangeLog
index 75bcf55316..26817c7e7a 100644
--- a/bfd/ChangeLog
+++ b/bfd/ChangeLog
@@ -1,3 +1,7 @@
+2020-09-05  Saagar Jha  <saagar@saagarjha.com>
+
+	* bfd/elf-bfd.h: Include <string.h>.
+
 2020-09-04  Alan Modra  <amodra@gmail.com>
 
 	PR 26574
diff --git a/bfd/elf-bfd.h b/bfd/elf-bfd.h
index eebdf9ac73..32ab3733be 100644
--- a/bfd/elf-bfd.h
+++ b/bfd/elf-bfd.h
@@ -26,6 +26,7 @@
 #include "elf/external.h"
 #include "elf/internal.h"
 #include "bfdlink.h"
+#include <string.h>
 
 #ifdef __cplusplus
 extern "C" {
-- 
2.28.0

